# Name

make

# Category

Build Tool

# Description

Enables using the various forms of make as the build tool. This includes GNU make and BSD make.

Currently, this plugin makes assumptions about what are valid targets:

Target | Function
--- | ---
clean | Clean the directory, keeping any configuration objects such as from `autoconf`. (See also `--make-use-git-clean`)
distclean | Clean the directory back to a pristine shape. (See also `--make-use-git-clean`)
test | Perform unit testing

# Environment Variables

None

# Options

Option | Notes |  |
--- | --- | --- | ---
`--make-cmd=<cmd>` | Executable location |  |
`--make-file=<filename>` | Filename to use instead of the default `Makefile` | `--make-use-git-clean` | Instead of `make clean`, use `git clean` to wipe the repository

# Docker Notes

None

# Developer Notes

See build tools for more information.